> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identities

> List Identities belonging to your application



## OpenAPI

````yaml /v2/openapi.yaml get /v2/identities
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/identities:
    get:
      tags:
        - Identities
      summary: List Identities
      description: List Identities belonging to your application
      operationId: bastion.api.v2.API.ListIdentities
      parameters:
        - name: limit
          in: query
          description: >-
            (OPTIONAL) The maximum number of identities to return in a single
            page
          required: false
          schema:
            type:
              - integer
              - string
            title: limit
            maximum: 100
            minimum: 1
            format: int64
            default: '50'
        - name: cursor
          in: query
          description: >-
            (OPTIONAL) Pagination cursor to be used in subsequent queries to
            retrieve next page of results
          required: false
          schema:
            type: string
            title: cursor
        - name: identity_type
          in: query
          description: (OPTIONAL) Filter identities by type
          required: false
          schema:
            $ref: '#/components/schemas/bastion.common.IdentityType'
            title: identity_type
        - name: label
          in: query
          description: (OPTIONAL) Filter identities by label
          required: false
          schema:
            type: string
            title: label
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.ListIdentitiesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized Request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.common.IdentityType:
      type: string
      title: IdentityType
      enum:
        - IDENTITY_TYPE_UNSPECIFIED
        - INDIVIDUAL
        - BUSINESS
      description: >-
        Identity type


        <Info>

        Please note that BUSINESS accounts are only supported in the US at this
        time.

        </Info>
      example: INDIVIDUAL
    bastion.api.v2.ListIdentitiesResponse:
      type: object
      properties:
        identities:
          type: array
          items:
            $ref: '#/components/schemas/bastion.api.v2.Identity'
          title: identities
          description: The identities requested
        cursor:
          type: string
          title: cursor
          description: >-
            Pagination cursor to be used in subsequent queries to retrieve next
            page of results
      title: ListIdentitiesResponse
      additionalProperties: false
    bastion.api.v2.Identity:
      type: object
      allOf:
        - properties:
            id:
              type: string
              title: id
              description: Unique identifier of an identity, assigned by Bastion
              readOnly: true
            identity_type:
              $ref: '#/components/schemas/bastion.common.IdentityType'
              title: identity_type
              description: 'Deprecated: use "type" instead'
              deprecated: true
            account_ids:
              type: array
              items:
                type: string
                readOnly: true
              title: account_ids
              description: Account ids associated with the identity
              readOnly: true
            label:
              type: string
              title: label
              description: Customer-defined identifier for the identity
              readOnly: true
            fiat_operations_enabled:
              type: boolean
              title: fiat_operations_enabled
              description: >-
                True if the identity is cleared to perform fiat operations, such
                as conversions between stablecoins and fiat
              readOnly: true
            status:
              $ref: '#/components/schemas/bastion.api.IdentityStatus'
              title: status
              description: The identity's status
              readOnly: true
            sub_status:
              $ref: '#/components/schemas/bastion.api.IdentitySubStatus'
              title: sub_status
              description: The identity's sub-status
              readOnly: true
            type:
              $ref: '#/components/schemas/bastion.common.IdentityType'
              title: type
              description: Identity type
        - oneOf:
            - type: object
              properties:
                kyb_status:
                  $ref: '#/components/schemas/bastion.api.KYBStatus'
                  title: kyb_status
                  description: |-
                    Status of KYB for the given identity
                     Soon to be deprecated. Will be replaced with the top level status and sub_status fields.
                  readOnly: true
              title: kyb_status
              required:
                - kyb_status
            - type: object
              properties:
                kyc_status:
                  $ref: '#/components/schemas/bastion.api.KYCStatus'
                  title: kyc_status
                  description: |-
                    Status of KYC for the given identity
                     Soon to be deprecated. Will be replaced with the top level status and sub_status fields.
                  readOnly: true
              title: kyc_status
              required:
                - kyc_status
      additionalProperties: false
    bastion.api.IdentityStatus:
      type: string
      title: IdentityStatus
      enum:
        - IDENTITY_STATUS_UNSPECIFIED
        - PENDING_ONBOARDING
        - ACTIVE
        - SUSPENDED
        - REJECTED
        - TERMINATED
      description: Top-level identity lifecycle status.
      example: PENDING_ONBOARDING
    bastion.api.IdentitySubStatus:
      type: string
      title: IdentitySubStatus
      enum:
        - IDENTITY_SUB_STATUS_UNSPECIFIED
        - CREATED
        - COMPLIANCE_CHECKS_IN_PROGRESS
        - IDV_REQUIRED
        - IDV_REQUESTED
        - IDV_IN_PROGRESS
        - IDV_EXPIRED
        - RFI_REQUIRED
      description: >-
        Sub-status within PENDING_ONBOARDING tracking onboarding workflow
        progress.
         Only meaningful when IdentityStatus is PENDING_ONBOARDING.
      example: CREATED
    bastion.api.KYBStatus:
      type: object
      properties:
        kyb_passed:
          type: boolean
          title: kyb_passed
          description: Flag indicating if the KYB check passed
        kyb_failure_reason:
          type:
            - string
            - 'null'
          title: kyb_failure_reason
          description: Reason for KYB check failure
        jurisdiction_check_passed:
          type: boolean
          title: jurisdiction_check_passed
          description: Flag indicating if the jurisdiction check passed
        jurisdiction_check_failure_reason:
          type:
            - string
            - 'null'
          title: jurisdiction_check_failure_reason
          description: Reason for jurisdiction check failure
        allowed_to_transact_fungibles:
          type: boolean
          title: allowed_to_transact_fungibles
          description: >-
            Flag indicating if the business is allowed to transact fungible
            assets
      title: KYBStatus
      additionalProperties: false
    bastion.api.KYCStatus:
      type: object
      properties:
        kyc_passed:
          type: boolean
          title: kyc_passed
          description: Flag indicating if the KYC check passed
        kyc_failure_reason:
          type:
            - string
            - 'null'
          title: kyc_failure_reason
          description: Reason for KYC check failure
        jurisdiction_check_passed:
          type: boolean
          title: jurisdiction_check_passed
          description: Flag indicating if the jurisdiction check passed
        jurisdiction_check_failure_reason:
          type:
            - string
            - 'null'
          title: jurisdiction_check_failure_reason
          description: Reason for jurisdiction check failure
        allowed_to_transact_fungibles:
          type: boolean
          title: allowed_to_transact_fungibles
          description: Flag indicating if the user is allowed to transact fungible assets
      title: KYCStatus
      additionalProperties: false
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [List Identity Verification Checks](/v2/api-reference/identity-verification/list-identity-verification-checks.md)
- [List Accounts](/v2/api-reference/accounts/list-accounts.md)
- [List Mints](/v2/api-reference/issuance/list-mints.md)
- [List Redemptions](/v2/api-reference/issuance/list-redemptions.md)
- [List Signing Keys](/v2/api-reference/signing-keys/list-signing-keys.md)
